[Libreoffice-commits] dev-tools.git: ciabot/setup
Miklos Vajna
vmiklos at collabora.co.uk
Sun Nov 24 03:33:14 PST 2013
ciabot/setup/install | 34 ++++++++++++++++++++++++++++++++++
1 file changed, 34 insertions(+)
New commits:
commit 8c0dc4ad41c89d3e680dea0b61ca6a539e18cc94
Author: Miklos Vajna <vmiklos at collabora.co.uk>
Date: Sun Nov 24 11:32:46 2013 +0000
ciabot: add install script
diff --git a/ciabot/setup/install b/ciabot/setup/install
new file mode 100755
index 0000000..6044e40
--- /dev/null
+++ b/ciabot/setup/install
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+# Invoke this script as '/home/$username/git/dev-tools/ciabot/setup/install' or
+# so, and it'll handle the update of the code from git to prod.
+#
+# When cloning new repos, use 'git clone --no-checkout git://gerrit.libreoffice.org/foo.git'
+#
+# After update, use /sbin/initctl list | grep irkerd (or loircbot), sudo /sbin/start irkerd or sudo /sbin/stop irkerd
+# NOTE: it's enough to start/stop irkerd, it'll automatically start/stop loircbot as well, as they are linked.
+
+if [ "$(whoami)" != "ciabot" ]; then
+ echo "forgot 'sudo -u ciabot /bin/bash'?"
+ exit 1
+fi
+
+origin=$(dirname $0)
+prefix=/home/ciabot/prod
+
+for i in $origin/../../../irker-cia-proxy/irker-cia-proxy.py \
+ $origin/../libreoffice-bugzilla.pl \
+ $origin/../libreoffice-ciabot.pl \
+ $origin/../projmap.json \
+ $origin/../run-libreoffice-ciabot.pl \
+ $origin/../sigui-bugzilla.pl
+do
+ to=$prefix/$(basename $i)
+ if ! diff -q -u $i $to; then
+ cat $i > $to
+ else
+ echo "$to is up to date"
+ fi
+done
+
+# vim:set shiftwidth=4 softtabstop=4 expandtab:
More information about the Libreoffice-commits
mailing list